#ifndef _MC3100_4SPI_Demo_H_
#define _MC3100_4SPI_Demo_H_

#include "MC32P7311.h"
#define u8  unsigned char
#define u16 unsigned int
#define u32 unsigned long int

void Init_IO(void);
void Init_RAM(void);
void Init_Timer(void);

uchar RF_Init_Deal(void);
void RF_TX_Deal(void);
void RF_TX_PKT_Deal(void);
void RF_TX_250K_Deal(void);
void RF_RX_Deal(void);
void RF_RX_250K_Deal(void);
void RF_Idle_Deal(void);
void RF_Sleep_Deal(void);
void RF_Wakeup_Deal(void);
void RF_WriteFIFO_Deal(void);
void RF_ResetWriteFIFO_Deal(void);
void RF_ReadFIFO_Deal(void);
void RF_ResetReadFIFO_Deal(void);
void SPI_WriteReg_Deal(uchar RF_RegAddr_Temp,uchar RF_RegData_Temp);
void SPI_WriteBit_Deal(uchar SPI_BUF);
void SPI_ReadReg_Deal(uchar RF_RegAddr_Temp);
uchar SPI_ReadBit_Deal(void);
void Delay_100us_Deal(uchar Delay_100us_Num);
void RF_SetSyncWord_Deal(void);

typedef union
{
   	unsigned char byte;
   	struct
   	{
   	   	u8 bit0 : 1;
   	   	u8 bit1 : 1;
   	   	u8 bit2 : 1;
   	   	u8 bit3 : 1;
   	   	u8 bit4 : 1;
   	   	u8 bit5 : 1;
   	   	u8 bit6 : 1;
   	   	u8 bit7 : 1;
   	} bits;
}Flag; 	
extern volatile Flag Flag1;

#define	TX_RX_Change_Flag      	       	Flag1.bits.bit0
#define	TNms_Flag      	       	       	Flag1.bits.bit1
#define	RF_ReadFIFOError_Flag  	       	Flag1.bits.bit2
#define	SPI_CKPHA_Flag 	   	   	   	   	Flag1.bits.bit3


#endif
