#include <mc32f7333.inc>

;**************************************
; Fcpu=1/2M: 13
; Fcpu=1M: 30
; Fcpu=2M: 63
; Fcpu=4M: 130
; Fcpu=8M: 55
#define	Delay_100us_Num_Temp   	63
;**************************************
#define	RX_DataLengthMax_Value 	4
;**************************************
#define	SyncWord_Addr1 	       	72
#define	SyncWord_Data1 	       	0xAA

#define	SyncWord_Addr2 	       	73
#define	SyncWord_Data2 	       	0xBB

#define	SyncWord_Addr3 	       	78             	       	
#define	SyncWord_Data3 	       	0xCC

#define	SyncWord_Addr4 	       	79             	
#define	SyncWord_Data4 	       	0xDD
;**************************************
#define	RF_CLK         	       	IOP1,6
#define	RF_CSn         	       	IOP1,5
#define	RF_MOSI_MISO   	       	IOP1,7
#define	RF_PKT 	       	       	IOP0,0

#define	RF_MOSI_MISO_DDR       	OEP1,7

#define	TX_LED_P10     	       	IOP1,0
#define	RX_LED_P11     	       	IOP1,1
;**************************************
#define	RF_MOSI_Input  	       	0
#define	RF_MOSI_Output 	       	1
;**************************************
;ʱ˺ͽնӦĶֿ
;һʱΪ4msΪ500ms;һʱΪ8msΪ1000ms
#define	TNms_Value     	       	125;125*32us=4ms

;#define       	TNms_Value     	       	250;250*32us=8ms
;**************************************

#define	FSR    	       	       	FSR0
#define	INDF   	       	INDF0
#define	STATUS 	       	PFLAG

cblock 	       	00h
acctemp
statustemp
Flag

TX_RX_DataLength
TX_RX_Data1
TX_RX_Data2
TX_RX_Data3
TX_RX_Data4

RF_InitIndex
RF_ChannelValue
RF_RegAddr
RF_RegData
RF_RegData_Temp
SPI_BUF
SPI_Cyc_Cnt

TX_RX_DataLength_Temp

Delay_100us_Num1
Delay_100us_Num2

T1S_Num
endc

#define	RF_ReadFIFOError_Flag  	Flag,0
#define	SPI_CKPHA_Flag 	       	Flag,1
#define	TNms_Flag      	       	Flag,2
#define	TX_RX_Change_Flag      	Flag,3

       	org    	       	0x00
       	goto   	       	Start

ID1_Tab:
       	retai  	       	0xFF
ID2_Tab:
       	retai  	       	0xFF
ID3_Tab:
       	retai  	       	0xFF

       	org    	       	08h
       	goto   	       	All_Int

#include "MC3100_3SPI_Demo.asm"

All_Int:
       	movra  	       	acctemp
       	swapar 	       	STATUS
       	movra  	       	statustemp

       	jbset  	       	T0IF
       	goto   	       	All_Int_Over
       	bclr   	       	T0IF

       	bset   	       	TNms_Flag

All_Int_Over:
       	swapar 	       	statustemp
       	movra  	       	STATUS
       	swapr  	       	acctemp
       	swapar 	       	acctemp
       	retie 


Start:  
;=========  IO  ==================
;SPI_CSn=1
Start_Init_IO:
        movai  	       	0x00
        movra  	       	IOP0  
       	movai  	       	0xFE;1111 1110
        movra  	       	OEP0
        movai  	       	0x00
        movra  	       	IOP0    

       	movai  	       	0x20;0010 0000
       	movra  	       	IOP1                   	
        movai  	       	0xFF;1111 1111
       	movra  	       	OEP1
       	movai  	       	0x20
       	movra  	       	IOP1
       	
       	movai  	       	0x00;0010 0000
       	movra  	       	IOP2                   	
        movai  	       	0xFF;1111 1111
       	movra  	       	OEP2
       	movai  	       	0x00
       	movra  	       	IOP2
;========= CLR  RAM ==============
       	movai  	       	0x7F
       	movra  	       	FSR0
       	movai  	       	0x01
       	movra  	       	FSR1
       	
       	clrr   	       	INDF2
       	djzr   	       	FSR0
       	goto   	       	$-2
       	decr   	       	FSR1

       	clrr   	       	INDF0
       	djzr   	       	FSR0
       	goto   	       	$-2
       	clrr   	       	0x100
;=========  RF  ==================
       	call   	       	RF_Init_Deal
;=========  Timer  ===============
Start_Init_Timer:
       	movai  	       	0x86;1000 0110
       	movra  	       	T0CR
       	
       	movai  	       	TNms_Value
       	movra  	       	T0CNT
       	movra  	       	T0LOAD

       	bclr   	       	T0IF
       	bset   	       	T0IE
       	bset   	       	GIE

Main:
       	movai  	       	1
       	movra  	       	RF_RegAddr
       	movai  	       	0xF9
       	movra  	       	RF_RegData
       	call   	       	SPI_WriteReg_Deal
       
       	movai  	       	65
       	movra  	       	RF_RegAddr
       	movai  	       	0x01
       	movra  	       	RF_RegData
       	call   	       	SPI_WriteReg_Deal

       	movai  	       	68
       	movra  	       	RF_RegAddr
       	movai  	       	0xB0
       	movra  	       	RF_RegData
       	call   	       	SPI_WriteReg_Deal
       
       	movai  	       	22
       	movra  	       	RF_RegAddr
       	movai  	       	0x83
       	movra  	       	RF_RegData
       	call   	       	SPI_WriteReg_Deal

       	movai  	       	14
       	movra  	       	RF_RegAddr
       	movai  	       	0x05
       	movra  	       	RF_RegData
       	call   	       	SPI_WriteReg_Deal
       
       	movai  	       	15
       	movra  	       	RF_RegAddr
       	movai  	       	0x4B
       	movra  	       	RF_RegData
       	call   	       	SPI_WriteReg_Deal

       	goto   	       	$


       	end    	
       	
       	

